<!-- Extend area where template is defined -->
<?= $this->extend('templates/adminlte/generalcontent') ?>
<!-- .Extend -->

<!-- Title of the page -->
<?= $this->section('title') ?>Income and Deduction<?= $this->endSection() ?>
<!-- .Title -->

<!-- CSS of the page -->
<?= $this->section('css') ?>
<?= $this->endSection() ?>
<!-- .CSS -->

<!-- body attribute - class definition -->
<?= $this->section('bodyclass') ?>sidebar-mini<?= $this->endSection() ?>
<!-- .body attribute -->

<!-- Container title -->
<?= $this->section('containertitle') ?>Income and Deduction<?= $this->endSection() ?>
<!-- .Container title -->

<!-- Active breadcrumb -->
<?= $this->section('activebreadcrumb') ?>Income and Deduction<?= $this->endSection() ?>
<!-- .Active breadcrumb -->

<!-- Main content -->
<?= $this->section('main') ?>

<!-- Modal Add Branch -->
<div class="modal fade" id="mdlAddInDed">
  <div class="modal-dialog">
    <div class="modal-content">
      <form action="<?= url_to('payroll/addinded') ?>" method="post">
        <div class="modal-header">
          <h4 class="modal-title" >New Income or Deduction</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-12">
              <p class="lead">Income or Deduction Information</p>
              <div class="row">
                <div class="col-12">
                    <div class="form-group">
                        <label for="txtInDedName">Income or Deduction Name</label>
                        <input class="form-control" type="text" id="txtInDedName" name="inded_name" values="<?= old('inded_name') ?>">
                    </div>
                    <div class="form-group">
                        <label for="txtPayslipDisplay">Display on Payslip</label>
                        <input class="form-control" type="text" id="txtPayslipDisplay" name="payslip_display" value="<?= old('payslip_display') ?>">
                        <p style="font-size: smaller"><i>Short name that will appear in payslip</i></p>
                    </div>
                    <div class="form-group">
                        <label for="txtCOACode">COA Code</label>
                        <input class="form-control" type="text" id="txtCOACode" name="coa_code" value="<?= old('coa_code') ?>">
                        <p style="font-size: smaller"><i>COA code (Chart of Account) is a code used by accounting department</i></p>
                    </div>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox">
                            <input class="custom-control-input" type="checkbox" id="chkIsIncome" name="is_income">
                            <label for="chkIsIncome" class="custom-control-label">Is Income? this will be treated as deduction if unchecked</label>
                        </div>  
                    </div>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox">
                            <input class="custom-control-input" type="checkbox" id="chkIsTaxable" name="is_taxable">
                            <label for="chkIsTaxable" class="custom-control-label">Is Taxable? this will be treated as non-taxable if unchecked</label>
                        </div>  
                    </div>
                    <div class="form-group">
                        <div class="custom-control custom-checkbox">
                            <input class="custom-control-input" type="checkbox" id="chkIncludeInGross" name="include_in_gross">
                            <label for="chkIncludeInGross" class="custom-control-label">Include in Gross?</label>
                        </div>  
                    </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="btn btn-primary">Save changes</button>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
      </form>
    </div>
  </div>
</div>


<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">
                <h3 class="card-title">List of Income and Deduction</h3>
            </div>
            <div class="card-body">
                <div class="card-body table-responsive p-0">
                    <?= $tblIncomeDeduction ?>
                </div>
            </div>
            <div class="card-footer">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#mdlAddInDed">Add Income or Deduction</button>
            </div>
        </div>
    </div>
</div>

<?= $this->endSection() ?>
<!-- .Main content -->

<!-- Javascript -->

<?= $this->section('js') ?>

<script>
$(document).ready(function() {
    
});



</script>

<?= $this->endSection() ?>

<!-- .Javascript -->